Bug 178882 - [MAINTAINER-UPDATE][PATCH] please update devel/hwloc to 1.7.1
Summary: [MAINTAINER-UPDATE][PATCH] please update devel/hwloc to 1.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-23 22:10 UTC by Eijiro Shibusawa
Modified: 2013-05-24 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (7.08 KB, patch)
2013-05-23 22:10 UTC, Eijiro Shibusawa
no flags Details | Diff
hwloc.diff.txt (6.77 KB, text/plain; charset=UTF-8)
2013-05-23 22:37 UTC, Eijiro Shibusawa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eijiro Shibusawa 2013-05-23 22:10:00 UTC
Attached patch updates devel/hwloc to 1.7.1.

NOTE:
- This port was tested with portlint 2.14.3 and tinderbox.
tinderbox logs are available at redports.org.
http://redports.org/buildarchive/20130523205301-34429/
- This release includes bug fixes on some environments.
Please refer the release announcement.
http://www.open-mpi.org/community/lists/hwloc-announce/2013/05/0059.php

Fix: Patch attached with submission follows:
Comment 1 Eijiro Shibusawa 2013-05-23 22:37:00 UTC
I have created the update again because the previous patch contains some
mistakes.
Tinderbox logs corresponding to the attached patch are also available.
http://redports.org/buildarchive/20130523212000-40172/
Comment 2 Pawel Pekala freebsd_committer 2013-05-24 20:25:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-05-24 21:58:44 UTC
Author: pawel
Date: Fri May 24 20:58:30 2013
New Revision: 319015
URL: http://svnweb.freebsd.org/changeset/ports/319015

Log:
  - Update devel/hwlock to version 1.7.1 [1]
  - Bump net/openmpi
  
  PR:		ports/178882 [1]
  Submitted by:	Eijiro Shibusawa <phd_kimberlite@yahoo.co.jp> (maintainer)

Modified:
  head/devel/hwloc/Makefile
  head/devel/hwloc/Makefile.man
  head/devel/hwloc/distinfo
  head/devel/hwloc/files/patch-utils+Makefile.in
  head/devel/hwloc/pkg-plist
  head/net/openmpi/Makefile

Modified: head/devel/hwloc/Makefile
==============================================================================
--- head/devel/hwloc/Makefile	Fri May 24 20:23:52 2013	(r319014)
+++ head/devel/hwloc/Makefile	Fri May 24 20:58:30 2013	(r319015)
@@ -1,10 +1,10 @@
 # $FreeBSD$
 
 PORTNAME=	hwloc
-PORTVERSION=	1.6.2
+PORTVERSION=	1.7.1
 CATEGORIES=	devel
-MASTER_SITES=	http://www.open-mpi.org/software/hwloc/v1.6/downloads/ \
-		http://icl.cs.utk.edu/open-mpi/software/hwloc/v1.6/downloads/
+MASTER_SITES=	http://www.open-mpi.org/software/hwloc/v${PORTVERSION:R}/downloads/ \
+		http://icl.cs.utk.edu/open-mpi/software/hwloc/v${PORTVERSION:R}/downloads/
 
 MAINTAINER=	phd_kimberlite@yahoo.co.jp
 COMMENT=	The Portable Hardware Locality software package
@@ -16,7 +16,8 @@ LIB_DEPENDS=	pciaccess:${PORTSDIR}/devel
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS+=	--enable-static \
-			--enable-libxml2
+			--enable-libxml2 \
+			--disable-gl
 USES=		pkgconfig pathfix iconv
 USE_BZIP2=	yes
 USE_LDCONFIG=	yes

Modified: head/devel/hwloc/Makefile.man
==============================================================================
--- head/devel/hwloc/Makefile.man	Fri May 24 20:23:52 2013	(r319014)
+++ head/devel/hwloc/Makefile.man	Fri May 24 20:58:30 2013	(r319015)
@@ -40,6 +40,7 @@ MAN3=		HWLOC_API_VERSION.3 \
 		HWLOC_OBJ_MISC.3 \
 		HWLOC_OBJ_NODE.3 \
 		HWLOC_OBJ_OSDEV_BLOCK.3 \
+		HWLOC_OBJ_OSDEV_COPROC.3 \
 		HWLOC_OBJ_OSDEV_DMA.3 \
 		HWLOC_OBJ_OSDEV_GPU.3 \
 		HWLOC_OBJ_OSDEV_NETWORK.3 \
@@ -137,9 +138,12 @@ MAN3=		HWLOC_API_VERSION.3 \
 		hwloc_cpuset_to_nodeset.3 \
 		hwloc_cpuset_to_nodeset_strict.3 \
 		hwloc_cuda_get_device_cpuset.3 \
+		hwloc_cuda_get_device_osdev.3 \
+		hwloc_cuda_get_device_osdev_by_index.3 \
 		hwloc_cuda_get_device_pci_ids.3 \
 		hwloc_cuda_get_device_pcidev.3 \
 		hwloc_cudart_get_device_cpuset.3 \
+		hwloc_cudart_get_device_osdev_by_index.3 \
 		hwloc_cudart_get_device_pci_ids.3 \
 		hwloc_cudart_get_device_pcidev.3 \
 		hwloc_custom_insert_group_object_by_parent.3 \
@@ -210,8 +214,14 @@ MAN3=		HWLOC_API_VERSION.3 \
 		hwloc_get_type_or_below_depth.3 \
 		hwloc_get_whole_distance_matrix_by_depth.3 \
 		hwloc_get_whole_distance_matrix_by_type.3 \
+		hwloc_gl_get_display_by_osdev.3 \
+		hwloc_gl_get_display_osdev_by_name.3 \
+		hwloc_gl_get_display_osdev_by_port_device.3 \
 		hwloc_ibv_get_device_cpuset.3 \
+		hwloc_ibv_get_device_osdev.3 \
 		hwloc_ibv_get_device_osdev_by_name.3 \
+		hwloc_intel_mic_get_device_cpuset.3 \
+		hwloc_intel_mic_get_device_osdev_by_index.3 \
 		hwloc_linux_get_tid_cpubind.3 \
 		hwloc_linux_parse_cpumap_file.3 \
 		hwloc_linux_set_tid_cpubind.3 \
@@ -224,6 +234,9 @@ MAN3=		HWLOC_API_VERSION.3 \
 		hwloc_nodeset_t.3 \
 		hwloc_nodeset_to_linux_libnuma_bitmask.3 \
 		hwloc_nodeset_to_linux_libnuma_ulongs.3 \
+		hwloc_nvml_get_device_cpuset.3 \
+		hwloc_nvml_get_device_osdev.3 \
+		hwloc_nvml_get_device_osdev_by_index.3 \
 		hwloc_obj.3 \
 		hwloc_obj_add_info.3 \
 		hwloc_obj_attr_snprintf.3 \
@@ -251,6 +264,9 @@ MAN3=		HWLOC_API_VERSION.3 \
 		hwloc_obj_type_snprintf.3 \
 		hwloc_obj_type_string.3 \
 		hwloc_obj_type_t.3 \
+		hwloc_opencl_get_device_cpuset.3 \
+		hwloc_opencl_get_device_osdev.3 \
+		hwloc_opencl_get_device_osdev_by_index.3 \
 		hwloc_restrict_flags_e.3 \
 		hwloc_set_area_membind.3 \
 		hwloc_set_area_membind_nodeset.3 \
@@ -273,6 +289,7 @@ MAN3=		HWLOC_API_VERSION.3 \
 		hwloc_topology_get_complete_cpuset.3 \
 		hwloc_topology_get_complete_nodeset.3 \
 		hwloc_topology_get_depth.3 \
+		hwloc_topology_get_flags.3 \
 		hwloc_topology_get_online_cpuset.3 \
 		hwloc_topology_get_support.3 \
 		hwloc_topology_get_topology_cpuset.3 \
@@ -310,6 +327,7 @@ MAN3=		HWLOC_API_VERSION.3 \
 		hwlocality_cudart.3 \
 		hwlocality_custom.3 \
 		hwlocality_distances.3 \
+		hwlocality_gl.3 \
 		hwlocality_glibc_sched.3 \
 		hwlocality_helper_binding.3 \
 		hwlocality_helper_cpuset.3 \
@@ -323,12 +341,15 @@ MAN3=		HWLOC_API_VERSION.3 \
 		hwlocality_helper_traversal_basic.3 \
 		hwlocality_helper_types.3 \
 		hwlocality_information.3 \
+		hwlocality_intel_mic.3 \
 		hwlocality_linux.3 \
 		hwlocality_linux_libnuma_bitmask.3 \
 		hwlocality_linux_libnuma_ulongs.3 \
 		hwlocality_membinding.3 \
 		hwlocality_myriexpress.3 \
+		hwlocality_nvml.3 \
 		hwlocality_objects.3 \
+		hwlocality_opencl.3 \
 		hwlocality_openfabrics.3 \
 		hwlocality_sets.3 \
 		hwlocality_tinker.3 \

Modified: head/devel/hwloc/distinfo
==============================================================================
--- head/devel/hwloc/distinfo	Fri May 24 20:23:52 2013	(r319014)
+++ head/devel/hwloc/distinfo	Fri May 24 20:58:30 2013	(r319015)
@@ -1,2 +1,2 @@
-SHA256 (hwloc-1.6.2.tar.bz2) = fd4d47738afc9c5f60d2c35f0963f82feb78bb57f2bc239e84e93ad376169df1
-SIZE (hwloc-1.6.2.tar.bz2) = 3066020
+SHA256 (hwloc-1.7.1.tar.bz2) = 96a3c34f7237205448a99d1a16daac6c052f81abc2e2ddfbacc154a31a8c0d01
+SIZE (hwloc-1.7.1.tar.bz2) = 3214808

Modified: head/devel/hwloc/files/patch-utils+Makefile.in
==============================================================================
--- head/devel/hwloc/files/patch-utils+Makefile.in	Fri May 24 20:23:52 2013	(r319014)
+++ head/devel/hwloc/files/patch-utils+Makefile.in	Fri May 24 20:58:30 2013	(r319015)
@@ -1,12 +1,12 @@
---- utils/Makefile.in.orig	2012-12-04 00:27:15.000000000 +0900
-+++ utils/Makefile.in	2012-12-04 00:27:30.000000000 +0900
-@@ -1505,9 +1505,7 @@
+--- utils/Makefile.in.orig	2013-04-03 22:42:37.000000000 +0900
++++ utils/Makefile.in	2013-04-03 22:43:41.000000000 +0900
+@@ -1816,9 +1816,7 @@
  @HWLOC_HAVE_CAIRO_FALSE@@HWLOC_HAVE_WINDOWS_FALSE@	rm -f $(DESTDIR)$(bindir)/lstopo
  @HWLOC_HAVE_CAIRO_FALSE@@HWLOC_HAVE_WINDOWS_FALSE@	cd $(DESTDIR)$(bindir) && $(LN_S) lstopo-no-graphics$(EXEEXT) lstopo$(EXEEXT) || true
- 	rm -f $(DESTDIR)$(man1dir)/hwloc-ls.1 $(DESTDIR)$(man1dir)/hwloc-info.1
--	cd $(DESTDIR)$(man1dir) && $(LN_S) lstopo.1 hwloc-ls.1 && $(LN_S) lstopo.1 hwloc-info.1
+ 	rm -f $(DESTDIR)$(man1dir)/hwloc-ls.1
+-	cd $(DESTDIR)$(man1dir) && $(LN_S) lstopo.1 hwloc-ls.1
  	rm -f $(DESTDIR)$(man1dir)/lstopo-no-graphics.1
 -	cd $(DESTDIR)$(man1dir) && $(LN_S) lstopo.1 lstopo-no-graphics.1
- 	$(SED) -e 's/abs_top_builddir\/utils/bindir/' -e '/abs_top_builddir/d' $(DESTDIR)$(bindir)/hwloc-assembler-remote > $(DESTDIR)$(bindir)/hwloc-assembler-remote.tmp && mv -f $(DESTDIR)$(bindir)/hwloc-assembler-remote.tmp $(DESTDIR)$(bindir)/hwloc-assembler-remote
+ 	$(SED) -e 's/HWLOC_top_builddir\/utils/bindir/' -e '/HWLOC_top_builddir/d' $(DESTDIR)$(bindir)/hwloc-assembler-remote > $(DESTDIR)$(bindir)/hwloc-assembler-remote.tmp && mv -f $(DESTDIR)$(bindir)/hwloc-assembler-remote.tmp $(DESTDIR)$(bindir)/hwloc-assembler-remote
  	chmod +x $(DESTDIR)$(bindir)/hwloc-assembler-remote
  

Modified: head/devel/hwloc/pkg-plist
==============================================================================
--- head/devel/hwloc/pkg-plist	Fri May 24 20:23:52 2013	(r319014)
+++ head/devel/hwloc/pkg-plist	Fri May 24 20:58:30 2013	(r319015)
@@ -15,14 +15,19 @@ include/hwloc/autogen/config.h
 include/hwloc/bitmap.h
 include/hwloc/cuda.h
 include/hwloc/cudart.h
+include/hwloc/gl.h
 include/hwloc/helper.h
+include/hwloc/intel-mic.h
 include/hwloc/myriexpress.h
+include/hwloc/nvml.h
+include/hwloc/opencl.h
 include/hwloc/openfabrics-verbs.h
+include/hwloc/plugins.h
 include/hwloc/rename.h
 lib/libhwloc.a
 lib/libhwloc.la
 lib/libhwloc.so
-lib/libhwloc.so.7
+lib/libhwloc.so.8
 libdata/pkgconfig/hwloc.pc
 share/hwloc/hwloc-valgrind.supp
 share/hwloc/hwloc.dtd

Modified: head/net/openmpi/Makefile
==============================================================================
--- head/net/openmpi/Makefile	Fri May 24 20:23:52 2013	(r319014)
+++ head/net/openmpi/Makefile	Fri May 24 20:58:30 2013	(r319015)
@@ -6,7 +6,7 @@
 
 PORTNAME=	openmpi
 DISTVERSION=	1.6.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net parallel
 MASTER_SITES=	http://www.open-mpi.org/software/ompi/v1.6/downloads/
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2013-05-24 21:59:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!